Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to run my old Ubuntu 6.06 on a newer 8.04 with backported XEN 3.3

I have tried a million different kernels.

The closest I got was booting up to when getty should present a console, i.e. just kernel messages, then nothing on the XEN console.

I can ping the domU, but not SSH into it.

I have tried kernels from within the domU filesystem with pygrub, XEN kernels from 8.10, 8.04. I have also tried compiling XEN kernels myself and point them out directly in the domU config file. I tried downloading a precompiled kernel from XEN.org. All these failed with various version of "can not load" messages. (Some disguised as can not allocate memory errors.)

Hardware is 32 bit Pentium IV. (Not 64 bit capable.)

Update: I waited a looong time (maybe half an hour) and now I can login. However I am met by a lot of:

-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied
-bash: /dev/null: Permission denied

Hitting CTRL-C got me a prompt, so things seem to work.

share|improve this question
add comment

2 Answers

I strongly suspect you're boned. The old version of Xen included in Dapper won't operate with the newer hypervisor, and Dapper won't run on a newer kernel (blame udev). Get yourself a HVM-capable box and run it fully-virtualised.

share|improve this answer
    
Fully virtualised is slow, but the thought occurred to me. Thanks for the tip though. But the thing is, shouldn't Dapper or almost anything be able to run on a newer kernel, if that newer kernel is tweaked enough to be backwards compatible? –  Prof. Falken Nov 11 '09 at 14:08
    
Sure, but how much effort are you willing to go to to patch the new kernel to work with older udev? –  womble Nov 11 '09 at 14:43
    
Quite a lot, but as it happens it booted in the kernel from 8.04, so I didn't have to mess more with kernel compiles. –  Prof. Falken Nov 11 '09 at 15:03
add comment
up vote 0 down vote accepted

Okey this works. But /dev/null gets wrong permissions, so I patched /etc/init.d/bootmisc to do chmod a+rw /dev/null

On the Dapper 6.06 I put 2.6.24-25-xen from the 8.04 dom0 in the Dapper /boot/ and ran update-grub.

It then boots properly via pygrub. A LOT of kernel warnings on the console and no prompt on the console, but at least SSH works. After waiting a while.

On both Dapper domU and Hardy dom0 I run the same kernel:

Linux version 2.6.24-25-xen (buildd@rothera) (gcc version 4.2.4 (Ubuntu 4.2.4-1ubuntu3)) #1 SMP Tue Oct 20 10:29:44 UTC 2009
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.